%define         srcname       wmSpaceWeather

Name:           wmspaceweather
Version:        1.04
Release:        %mkrel 4
Summary:        A space weather monitor which displays cosmic ray fluxes from the Sun
License:        GPLv2
Group:          Sciences/Astronomy

URL:            http://dockapps.windowmaker.org/file.php/id/15
Source0:        http://www.archive.org/download/tucows_10147_wmSpaceWeather/%{srcname}-%{version}.tar.gz

#fix old url in GetKp to get fluxes
Patch0:         wmspaceweather-1.04-mga-urlctime.patch

BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel

Requires: perl



%description
Wmspaceweather is another dockapp for WindowMaker, or any window
manager and desktop environment that handles dock applications. It
displays the current fluxes and spectra for electrons and protons at
geosynchronous orbit, as well as X-ray levels and the last K-index
values. The K-index is a measure of how disturbed the Earth's magnetic
field has been over a 3-hour interval which ranges from 0 to 9 (0
is quiet and 9 is very disturbed). The K-index values shown are the 8
previous values (i.e. the last 24 hours). If the display is
up-to-date, the led next to the K bars will flash blue, otherwise it
will flash orange.


%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .old


%build
cd %{srcname}
%make clean
%make


%install
rm -rf %{buildroot}
cd %{srcname}
install -D -m 755 GetKp %{buildroot}%{_bindir}/GetKp
install -D -m 755 %{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc BUGS CHANGES COPYING HINTS README
%{_bindir}/%{name}
%{_bindir}/GetKp
%{_mandir}/man1/%{name}.1*





%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.04-4.mga4
+ Revision: 520153
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.04-3.mga3
+ Revision: 385784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.04-2.mga3
+ Revision: 314699
- Fix obsolete usage of ctime() in perl script

* Mon Oct 17 2011 eatdirt <eatdirt> 1.04-1.mga2
+ Revision: 155940
- imported package wmspaceweather


* Mon Oct 17 2011 Chris Ringeval <dirteat@gmail.com> 1.04-1.mga2
- import wmspaceweather
